local function addHat(hat_unit)
	local pos = Vector3()
	local rot = Rotation()
	local unit = hat_unit or "units/payday2/characters/ene_acc_spook_santa_hat/ene_acc_spook_santa_hat"
	
	return safe_spawn_unit(Idstring(unit), pos, rot)
end

function CopBase:_chk_spawn_gear()
	if self._tweak_table == "tank_medic" or self._tweak_table == "tank_mini" then
		self._headwear_unit = addHat("units/pd2_dlc_xm20/characters/ene_acc_dozer_zeal_santa_hat/ene_acc_dozer_zeal_santa_hat")
	elseif self._tweak_table == "tank" then
		local region = tweak_data.levels:get_ai_group_type()
		local difficulty_index = tweak_data:difficulty_to_index(Global and Global.game_settings and Global.game_settings.difficulty or "overkill")
		
		if region == "russia" or region == "federales" then
			self._headwear_unit = addHat("units/pd2_dlc_xm20/characters/ene_acc_dozer_akan_santa_hat/ene_acc_dozer_akan_santa_hat")
		elseif difficulty_index == 8 then
			self._headwear_unit = addHat("units/pd2_dlc_xm20/characters/ene_acc_dozer_zeal_santa_hat/ene_acc_dozer_zeal_santa_hat")
		else
			self._headwear_unit = addHat("units/pd2_dlc_xm20/characters/ene_acc_dozer_santa_hat/ene_acc_dozer_santa_hat")
		end
	else
		self._headwear_unit = addHat()
	end
	
	if self._headwear_unit then
		local align_obj_name = Idstring("Head")
		local align_obj = self._unit:get_object(align_obj_name)

		self._unit:link(align_obj_name, self._headwear_unit, self._headwear_unit:orientation_object():name())
	end
end